Subject: [RFC PATCH v2 0/4] rebase --edit-todo --exec

From: Andrei Rybak <[email-masked]>
Date: Wed, 20 Nov 2019 10:52:34 +0100

Differences from v1:
  - Added missing RFC marker.
  - Fixed CC list.
  - Addressed Junio's comment about masked variable in a for loop: another
    preparatory patch is added.
  - Cleaned up copy-pasted unused code in the new test.

----

Original cover letter:
I've wanted this feature for a long time, and now with rebase working without
forking rebase--interactive (thanks to Phillip Wood for working on that), I
finally got around to implementing it.

It still needs validation for arguments. Right now, I have two ideas:

  1. iterate over original argv and make sure its just '--exec's with its
     arguments.
  2. check all other vars in options[].

Andrei Rybak (4):
  builtin/rebase.c: reuse loop variable
  rebase: prepare cmd before choosing action
  rebase: extract add_exec()
  rebase -i: allow --edit-todo with --exec

 Documentation/git-rebase.txt  |  3 +-
 builtin/rebase.c              | 63 +++++++++++++++++++++--------------
 t/t3404-rebase-interactive.sh | 32 ++++++++++++++++++
 3 files changed, 72 insertions(+), 26 deletions(-)

-- 
2.24.0.windows.2